package com.dcsoft.system.mapper;

import java.util.List;

import com.dcsoft.system.domain.SysPoint;

/**
 * 点位管理Mapper接口
 *
 * @author nichun
 * @date 2023-03-08
 */
public interface SysPointMapper
{
    /**
     * 查询点位管理
     *
     * @param id 点位管理主键
     * @return 点位管理
     */
    public SysPoint selectSysPointById(Long id);

    /**
     * 查询点位管理列表
     *
     * @param sysPoint 点位管理
     * @return 点位管理集合
     */
    public List<SysPoint> selectSysPointList(SysPoint sysPoint);

    /**
     * 新增点位管理
     *
     * @param sysPoint 点位管理
     * @return 结果
     */
    public int insertSysPoint(SysPoint sysPoint);

    /**
     * 修改点位管理
     *
     * @param sysPoint 点位管理
     * @return 结果
     */
    public int updateSysPoint(SysPoint sysPoint);

    /**
     * 删除点位管理
     *
     * @param id 点位管理主键
     * @return 结果
     */
    public int deleteSysPointById(Long id);

    /**
     * 批量删除点位管理
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSysPointByIds(Long[] ids);
}
